Сайт | Скачать | Видео | Wiki

Автор Тема: Актуальные русские версии дистрибутивов http://puppylinux.com  (Прочитано 66862 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32944
  • Репутация: +224/-0
    • PuppyRus-A
какие сборки Wine для Puppy  использует
Что под ним хотите запускать?

Оффлайн forthuser

  • Пользователь
  • **
  • Сообщений: 47
  • Репутация: +1/-0
Что под ним хотите запускать?
Да какой то произвольный софт для  Windows
К примеру Far2 уже нормально запустился на Wine 6.0.2 (хотя в Tahr запуск его может не с первого раза происходить)
WinMerge запускаю через Wine.

P.S. Какой то Windows софт, конечно, бывает не очень работоспособен в рамках запуска под Wine. 

Можно теоретически, наверное, с кодовой базой из Wine как то собирать  и локально необходимый рантайм запуска конкретной Windows программы   для  Linux  без необходимости тянуть весь Wine для её запуска.
« Последнее редактирование: 01 Май 2022, 16:50:14 от forthuser »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4957
  • Репутация: +127/-1
Приглашение к переводчикам от BarryK. Может "старая школа" нашего форума заинтересуется. Если конечно не предубеждение, что EasyOS это не Puppy.
« Последнее редактирование: 03 Июль 2022, 20:00:09 от krasnyh »

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
Если конечно не предубеждение, что EasyOS это не Puppy.
Это Puppy, в котором действительно все не то что "прибито гвоздями", а прикручено саморезами)
Будем посмотреть.
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн forthuser

  • Пользователь
  • **
  • Сообщений: 47
  • Репутация: +1/-0
На сайте https://puppylinux-woof-ce.github.io/
есть неофициальные сборки Vanilla Dpup 9.2.x (Puppy на основе Debian 11)

P.S. Кто нибудь уже приценивался к этой сборке и если да, то какие впечатления?
(к примеру в системе сразу обозначен звук PulseAudio и насколько это "важно"?)
Devx как понял ещё не собран для этой системы.
Пробовал проверить под этой сборкой рабочесть ПО https://blitzmax.org/downloads/ (вариант кроссплатформенного Бейсика на базе кодовой базы из C/C++ библиотек).
Недостающюю зависимость доустановил из репозитория + GCC, G++ , но попытка пересобрать штатные модули в системе не финишировала в итоге.
Пробовал это же ПО пересобрать под Fossa, но там ругань пошла на отсутствие PulseAudio.
Непонятно, можно ли BlitzMax NG собрать и запустить под Linux32
( Древняя Blitzmax 1.5x - при использовании Fasm https://github.com/blitz-research/blitzmax  работает под Linux32 Puppy хотя у меня ещё не получилось получить звук в примерах и собрать MaxIDE - Fltk окружение)

Может есть какие то варианты проверить возможность использования проекта BlitzMax NG в рамках Linux64 (32) Puppy дистрибутивов?
« Последнее редактирование: 24 Июль 2022, 19:25:53 от forthuser »

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
На этой сборке MaxIDE не пойдет. Она требует glibc 2.35, а в vanilla 2.33
Хотел попробовать в imppup (пульсаудио из коробки), но здесь glibc 2.34
Devx как понял ещё не собран для этой системы.
Фтопку такую систему. В woof devx собирается сразу с дистрибутивом. Значит это есть ремастер чего-то и можно задолбаться искать и devx и сорцы ядра к ней.

В процессе заметил одну хрень. Убунтовцы совсем офигели и убрали репозиторий impish на archive.ubuntu.com и совместили с jammy. А я матерился на менеджер пакетов... Пришлось поменять пару значений в /etc/DISTRO_SPECS и /var/packages/DISTRO_PET_REPOS. Буквально пару дней назад все работало без напильника. И вообще, что за фокусы такие? "Дистр с человеческим лицом", блин!
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
Скачал Upupjj. Не устанавливал, проверил "внутренности". Glibc 2.35-0
Можно попробовать MaxIDE. Но не сегодня.
Ссылка, если что:
https://altushost-swe.dl.sourceforge.net/project/zestypup/Upup-Jammy%2B/JammyPup32-22.04%2B4.iso
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32944
  • Репутация: +224/-0
    • PuppyRus-A
Vanilla Dpup 9.2.x (Puppy на основе Debian 11)
P.S. Кто нибудь уже приценивался к этой сборке и если да, то какие впечатления?
Классический puppy jwm DE
Работающий apt
SystemV вместо systemd
connman
В итоге , наверное интересно любителю пупи, который хочет познать мир дебиана (или наоборот)
Лично мне из готовых деб. фругалов больше зашел Minios

требует glibc 2.35, а в vanilla 2.33
Во всех своих дебианах апдейтил. Побочек не имел. Для миниос выкладывал glibc 2.35 отдельным модулем
« Последнее редактирование: 25 Июль 2022, 09:43:25 от sfs »

Оффлайн forthuser

  • Пользователь
  • **
  • Сообщений: 47
  • Репутация: +1/-0
Скачал Upupjj. Не устанавливал, проверил "внутренности". Glibc 2.35-0
Можно попробовать MaxIDE. Но не сегодня.
Получилось собрать и запустить MaxIDE какой то версии под этим Puppy 32?

P.S. Сам беру уже собранный MaxIDE файл из сборки под Linux 32 версии 1.51-1.52
остальные  модули MaxIde и его примеры уже собиpаются и запускаются под Linux Puppy начиная с Tahr, Xenial ...
т.е. основные файлы системы пересобираются кроме файла MaxIDE с уровня исходников.
« Последнее редактирование: 26 Июль 2022, 15:12:03 от forthuser »

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
Скачал Upupjj. Не устанавливал, проверил "внутренности". Glibc 2.35-0
Но х86.
MaxIDE файл из сборки под Linux 32 версии 1.51-1.52
MaxIDE файл из сборки под Linux 32 версии 1.51-1.52  запускается.

Пробовал на imppup 64 обновить glibc - пока не получилось.

А что за игрушка клепаться будет, кстати?
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
MaxIDE
Запустился на https://archive.org/download/jammypup64-9.7bPuppy_linux_jammypup64/jammypup64-9.7b.iso

Присматриваюсь. Может сам перейду на этот дистр.

И повторюсь, интересно же:
А что за игрушка клепаться будет, кстати?
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн forthuser

  • Пользователь
  • **
  • Сообщений: 47
  • Репутация: +1/-0
И повторюсь, интересно же:
Цитата: imp от Вчера в 21:00:48

    А что за игрушка клепаться будет, кстати?

Да, особо не какой, если не считать  частного интереса встраивания Форт в тако(й/м) варианте решения.

P.S. Тоже  запустилась MaxIDE NG  в этой Puppy с  LiveCD правда пришлось с репы Ubuntu скачать дополнительно несколько deb пакетов.
C этого места https://packages.ubuntu.com/jammy/libwebkit2gtk-4.0-37 просматривая сообщения в консоли какого текущего пакета не достаёт
при запуске MaxIDE 
Приведённые примеры игрушек и Бейсик  программ в MaxIDE симпатичные.. :)
« Последнее редактирование: 28 Июль 2022, 03:40:51 от forthuser »

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 2239
  • Репутация: +27/-0
Gr4D, Grub2; HP Mini 210 VT - Intel Atom N470  @ 1.83GHz, Intel GMA3150, RAM=2 ГБ ;
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ.

Оффлайн imp

  • cat /dev/ass > /dev/head
  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1427
  • Репутация: +40/-1
  • Автор темы
  • /dev/hands from /dev/ass
Спасибо за подсказку. Добавил.
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 2239
  • Репутация: +27/-0
https://archive.org/download/jammypup64-9.7bPuppy_linux_jammypup64/jammypup64-9.7b.iso
- вроде по настройкам/преднастройкам( русский-в-терминале, раскладки, $TERM=xterm-256color , с uxterm из каробки почти нормально, ...) - неплохая сборка. Косячек с 'pppoe' - легко поравим.
Но:
Код
root# falkon --no-sandbox
Falkon: 1 extensions loaded
Fatal: Cannot mix incompatible Qt library (5.15.3) with this library (5.15.2)
Aborted
- руками передоставлял, удалял пакеты/либы - заколебался - х-нанэ.
# ...может потом поправят.
« Последнее редактирование: 31 Июль 2022, 20:24:45 от knn »
Gr4D, Grub2; HP Mini 210 VT - Intel Atom N470  @ 1.83GHz, Intel GMA3150, RAM=2 ГБ ;
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ.